Subject: Re: [OAUTH-WG] OAuth Recharting

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 5 Jan 2016 10:36:42 +0100

I would like to bring this item to your attention again since it may
have gotten lost due to the holidays.

Please let us know whether you have some additional remarks for the new
OAuth charter text. I believe the charter text is phrases generic enough
to cover the items we have been talking about in 2015.

I will post a few additional mails about the specifications I believe
should be dealt with in 2016.

Ciao
Hannes & Derek

On 12/17/2015 04:59 PM, Hannes Tschofenig wrote:
> Hi all,
> 
> at the last IETF meeting in Yokohama we had a rechartering discussion
> and below is proposed text for the new charter. Please take a look at it
> and tell me whether it appropriately covers the discussions from our
> last meeting.
> 
> ---------------
> 
> Charter Text
> 
> The Web Authorization (OAuth) protocol allows a user to grant a
> third-party Web site or application access to the user's protected
> resources, without necessarily revealing their long-term credentials,
> or even their identity. For example, a photo-sharing site that
> supports OAuth could allow its users to use a third-party printing Web
> site to print their private pictures, without allowing the printing
> site to gain full control of the user's account and without having the
> user share his or her photo-sharing sites' long-term credential with
> the printing site.
> 
> The OAuth 2.0 protocol suite already includes
> 
> * a procedure for enabling a client to register with an authorization
> server,
> * a protocol for obtaining authorization tokens from an authorization
> server with the resource owner's consent, and
> * protocols for presenting these authorization tokens to protected
> resources for access to a resource.
> 
> This protocol suite has been enhanced with functionality for
> interworking with legacy identity infrastructure (e.g., SAML), token
> revocation, token exchange, dynamic client registration, token
> introspection, a standardized token format with the JSON Web Token, and
> specifications that mitigate security attacks, such as Proof Key for
> Code Exchange.
> 
> The ongoing standardization efforts within the OAuth working group
> focus on increasing interoperability of OAuth deployments and to
> improve security. More specifically, the working group is defining proof
> of possession tokens, developing a discovery mechanism,
> providing guidance for the use of OAuth with native apps, re-introducing
> the device flow used by devices with limited user interfaces, additional
> security enhancements for clients communicating with multiple service
> providers, definition of claims used with JSON Web Tokens, techniques to
> mitigate open redirector attacks, as well as guidance on encoding state
> information.
> 
> For feedback and discussion about our specifications please
> subscribe to our public mailing list.
> 
> For security related bug reports that relate to our specifications
> please contact <<TBD>>. If the reported bug
> report turns out to be implementation-specific we will
> attempt to forward it to the appropriate developers.
> 
> ---------------
> 
> 
> Ciao
> Hannes
> 
> 
> 
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth
>